Module java.desktop
Package javax.swing.event

## Interface CellEditorListener

- All Superinterfaces:
    `EventListener`
  All Known Implementing Classes:
    `BasicTreeUI.CellEditorHandler`, `JTable`, `JTable.AccessibleJTable`

      public interface CellEditorListener
      extends EventListener

  CellEditorListener defines the interface for an object that listens to changes in a CellEditor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `editingCanceled​(ChangeEvent e)` | This tells the listeners the editor has canceled editing
    `void` | `editingStopped​(ChangeEvent e)` | This tells the listeners the editor has ended editing

- - ### Method Detail

    - #### editingStopped

          void editingStopped​(ChangeEvent e)

      This tells the listeners the editor has ended editing
      Parameters:
        `e` - the `ChangeEvent` containing the source of the event

    - #### editingCanceled

          void editingCanceled​(ChangeEvent e)

      This tells the listeners the editor has canceled editing
      Parameters:
        `e` - the `ChangeEvent` containing the source of the event